package com.ruoyi.project.training.newstaff.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.newstaff.mapper.TTnFirstplanMapper;
import com.ruoyi.project.training.newstaff.domain.TTnFirstplan;
import com.ruoyi.project.training.newstaff.service.ITTnFirstplanService;

/**
 * 进组培训Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-04
 */
@Service
public class TTnFirstplanServiceImpl implements ITTnFirstplanService
{
    @Autowired
    private TTnFirstplanMapper tTnFirstplanMapper;

    /**
     * 查询进组培训
     *
     * @param id 进组培训ID
     * @return 进组培训
     */
    @Override
    public TTnFirstplan selectTTnFirstplanById(Long id)
    {
        return tTnFirstplanMapper.selectTTnFirstplanById(id);
    }

    /**
     * 查询进组培训列表
     *
     * @param tTnFirstplan 进组培训
     * @return 进组培训
     */
    @Override
    public List<TTnFirstplan> selectTTnFirstplanList(TTnFirstplan tTnFirstplan)
    {
        return tTnFirstplanMapper.selectTTnFirstplanList(tTnFirstplan);
    }

    /**
     * 新增进组培训
     *
     * @param tTnFirstplan 进组培训
     * @return 结果
     */
    @Override
    public int insertTTnFirstplan(TTnFirstplan tTnFirstplan)
    {
        return tTnFirstplanMapper.insertTTnFirstplan(tTnFirstplan);
    }

    /**
     * 修改进组培训
     *
     * @param tTnFirstplan 进组培训
     * @return 结果
     */
    @Override
    public int updateTTnFirstplan(TTnFirstplan tTnFirstplan)
    {
        return tTnFirstplanMapper.updateTTnFirstplan(tTnFirstplan);
    }

    /**
     * 批量删除进组培训
     *
     * @param ids 需要删除的进组培训ID
     * @return 结果
     */
    @Override
    public int deleteTTnFirstplanByIds(Long[] ids)
    {
        return tTnFirstplanMapper.deleteTTnFirstplanByIds(ids);
    }

    /**
     * 删除进组培训信息
     *
     * @param id 进组培训ID
     * @return 结果
     */
    @Override
    public int deleteTTnFirstplanById(Long id)
    {
        return tTnFirstplanMapper.deleteTTnFirstplanById(id);
    }

    @Override
    public int batchStatusTTnFirstplanByids(Long[] ids) {
        return tTnFirstplanMapper.batchStatusTTnFirstplanByids(ids);
    }
}
